## GESAudioUriSource GESAudioUriSource — outputs a single audio stream from a given file |

## Synopsis

    #include <ges/ges.h>

                        GESAudioUriSource;
    GESAudioUriSource * ges_audio_uri_source_new            (gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESSource
                               +----GESAudioSource
                                     +----GESAudioUriSource

## Implemented Interfaces

GESAudioUriSource implements GESExtractable and GESMetaContainer.

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

## Details

### GESAudioUriSource

    typedef struct _GESAudioUriSource GESAudioUriSource;

### ges_audio_uri_source_new ()

    GESAudioUriSource * ges_audio_uri_source_new            (gchar *uri);

Creates a new GESAudioUriSource for the provided `uri`.

`uri` : | the URI the source should control
Returns : | The newly created GESAudioUriSource, or `NULL` if there was an error.

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The location of the file/resource to use.

Default value: NULL